> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List training-categories

> Retrieve a paginated list of training-categories.



## OpenAPI

````yaml /openapi-specs/poplee-training.yaml get /talent-training/api/v1/training-categories
openapi: 3.1.0
info:
  title: Lucca Training
  version: '1.0'
  description: |
    Welcome on the documentation for the Lucca Training API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Trainings
    description: Trainings in catalog
  - name: Training-demands
    description: Requests for a training session for an employee.
  - name: Realized-trainings
    description: Past realized training sessions.
paths:
  /talent-training/api/v1/training-categories:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - Trainings
      summary: List training-categories
      description: Retrieve a paginated list of training-categories.
      operationId: list-training-categories
      parameters:
        - $ref: '#/components/parameters/fields.root'
        - name: search
          in: query
          required: false
          description: >-
            Retrieve the training-categories whose name exactly matches the
            given value.
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: List of training-categories successfully retrieved.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/v2.Collection'
                  - type: object
                    properties:
                      items:
                        type: array
                        maxItems: 100
                        items:
                          $ref: '#/components/schemas/v1.TrainingCategory'
              example:
                $ref: '#/components/examples/v2.get.training-categories.res'
        '400':
          $ref: '#/components/responses/Problem'
        '401':
          $ref: '#/components/responses/Problem'
        '500':
          $ref: '#/components/responses/Problem'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
    fields.root:
      name: fields.root
      in: query
      description: >
        Include the total number of items across all pages, as well as pointers
        to the previous and next pages.
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
          enum:
            - prev
            - next
            - count
  schemas:
    v2.Collection:
      type: object
      properties:
        count:
          description: >
            Total number of items across all pages. You need to include
            ?fields.root=count to your request to retrieve this.
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        prev:
          description: |
            Cursor to the previous page. You need to include
            ?fields.root=prev in order to retrieve this.
          type:
            - string
            - 'null'
        next:
          description: |
            Cursor to the next page. You need to include
            ?fields.root=next in order to retrieve this.
          type:
            - string
            - 'null'
    v1.TrainingCategory:
      title: training-category
      description: >-
        A training-category indicates the specific topic or field of knowledge
        that a course is focused on. Examples include data science, mathematics,
        digital marketing, or carpentry.
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier of the training-category
          format: int32
          readOnly: true
        name:
          description: >-
            Name of the training-category (invariant culture, refer to the t9n
            property for localization).
          type: string
          minLength: 1
        t9n:
          title: Translations object.
          type: object
          properties:
            name:
              description: Translations of the "name" property.
              type: object
              properties:
                De:
                  description: German (Germany)
                  type:
                    - string
                    - 'null'
                En:
                  description: English (United States of America)
                  type:
                    - string
                    - 'null'
                Es:
                  description: Spanish (Spain)
                  type:
                    - string
                    - 'null'
                Fr:
                  description: French (France)
                  type:
                    - string
                    - 'null'
                It:
                  description: Italian (Italy)
                  type:
                    - string
                    - 'null'
                Nl:
                  description: Dutch (Belgium)
                  type:
                    - string
                    - 'null'
                Pt:
                  description: Portuguese (Portugal)
                  type:
                    - string
                    - 'null'
      example:
        id: 32
        name: Management
        t9n:
          name:
            Fr: Management
            Es: Gestión
  responses:
    Problem:
      description: Problem
      content:
        application/json:
          schema:
            type: object
            properties:
              Status:
                type: integer
                description: HTTP status code.
                example: 401
              Message:
                type: string
                description: Human readable error message.
                example: Unauthorized

````